## r-other-ascat 2.5.2

=== ASCAT/DESCRIPTION ===
Package: ASCAT
Type: Package
Title: Allele-Specific Copy Number Analysis of Tumours
Version: 2.5.2
Date: 2018-08-29
Authors@R: c(person("Peter", "Van Loo", role=c("aut","cre"), email="Peter.VanLoo@crick.ac.uk"),
    person("Gro", "Nielsen", role="ctb"),
    person("Jiqiu","Cheng", role="ctb"),
    person("Stefan","Dentro", role="ctb"),
    person("Edith","Ross", role="ctb"),
    person("Kerstin","Haase", role="ctb"))
Author: Peter Van Loo [aut, cre], Gro Nielsen [ctb], Jiqiu Cheng [ctb], Stefan
    Dentro [ctb], Edith Ross [ctb], Kerstin Haase [ctb]
Maintainer: Kerstin Haase <Kerstin.Haase@crick.ac.uk>
Description: R package of ASCAT as published in http://www.ncbi.nlm.nih.gov/
    pubmed/20837533
Depends:
    R (>= 2.13.0),
    RColorBrewer,
    grDevices,
    graphics,
    stats,
    utils
License: GPL-3
LazyLoad: yes
RoxygenNote: 6.1.0

=== debian/changelog ===
r-other-ascat (2.5.2-3) unstable; urgency=medium

  * Team upload.
  * Disable Testsuite: autopkgtest-pkg-r.
      The DESCRIPTION file is in a subfolder that is not (yet) supported
      by autopkgtest-pkg-r.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Jul 2020 09:22:51 +0200

r-other-ascat (2.5.2-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 27 May 2020 12:41:46 +0200

r-other-ascat (2.5.2-1) unstable; urgency=medium

  * Initial release (closes: #960408)

 -- Andreas Tille <tille@debian.org>  Tue, 12 May 2020 13:18:09 +0200

=== debian/control ===
Source: r-other-ascat
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
#Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcolorbrewer
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-other-ascat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-other-ascat.git
Homepage: https://github.com/Crick-CancerGenomics/ascat
Rules-Requires-Root: no

Package: r-other-ascat
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Allele-Specific Copy Number Analysis of Tumours
 ASCAT (allele-specific copy number analysis of tumors) is a allele-
 specific copy number analysis of the in vivo breast cancer genome. It
 can be used to accurately dissect the allele-specific copy number of
 solid tumors, simultaneously estimating and adjusting for both tumor
 ploidy and nonaberrant cell admixture.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R --sourcedirectory=ASCAT

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/Crick-CancerGenomics/ascat/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## r-other-ascat 3.1.1

=== ASCAT/DESCRIPTION ===
Package: ASCAT
Type: Package
Title: Allele-Specific Copy Number Analysis of Tumors
Version: 3.1.1
Date: 2022-12-21
Authors@R: c(person("Peter", "Van Loo", role=c("aut","cre"), email="Peter.VanLoo@crick.ac.uk"),
    person("Gro", "Nielsen", role="ctb"),
    person("Jiqiu","Cheng", role="ctb"),
    person("Stefan","Dentro", role="ctb"),
    person("Edith","Ross", role="ctb"),
    person("Kerstin","Haase", role="ctb"),
    person("Jonas","Demeulemeester", role="ctb"),
    person("Maxime","Tarabichi", role="ctb"),
    person("Tom","Lesluyes", role="ctb"))
Author: Peter Van Loo [aut, cre], Gro Nielsen [ctb], Jiqiu Cheng [ctb], Stefan Dentro [ctb],
    Edith Ross [ctb], Kerstin Haase [ctb], Jonas Demeulemeester [ctb], Maxime Tarabichi [ctb],
    Tom Lesluyes [ctb]
Maintainer: Tom Lesluyes <tom.lesluyes@crick.ac.uk>
Description: R package of ASCAT as published in http://www.ncbi.nlm.nih.gov/pubmed/20837533
Depends:
    R (>= 2.13.0),
    RColorBrewer,
    grDevices,
    graphics,
    stats,
    splines,
    data.table,
    GenomicRanges,
    IRanges,
    parallel,
    doParallel,
    foreach,
    utils
License: GPL-3
Encoding: UTF-8
LazyLoad: yes
RoxygenNote: 7.2.0

=== debian/changelog ===
r-other-ascat (3.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2022 06:35:41 +0100

r-other-ascat (3.0.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fixed d/watch - new github path

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Manually add Build-Depends (dh-update-R failed since there is no
    DESCRIPTION file in root dir)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 18:27:09 +0100

## r-other-ascat 3.1.2

=== ASCAT/DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: ASCAT
 Type: Package
 Title: Allele-Specific Copy Number Analysis of Tumors
-Version: 3.1.1
-Date: 2022-12-21
+Version: 3.1.2
+Date: 2023-04-12
 Authors@R: c(person("Peter", "Van Loo", role=c("aut","cre"), email="Peter.VanLoo@crick.ac.uk"),
     person("Gro", "Nielsen", role="ctb"),
     person("Jiqiu","Cheng", role="ctb"),

=== debian/changelog ===
r-other-ascat (3.1.2-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 21:26:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcolorbrewer
-Standards-Version: 4.5.0
+               r-cran-rcolorbrewer,
+               r-cran-data.table,
+               r-bioc-genomicranges,
+               r-bioc-iranges,
+               r-cran-doparallel,
+               r-cran-foreach
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-other-ascat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-other-ascat.git
 Homepage: https://github.com/Crick-CancerGenomics/ascat

## r-other-ascat 3.2.0

=== ASCAT/DESCRIPTION ===
Package: ASCAT
Type: Package
Title: Allele-Specific Copy Number Analysis of Tumors
Version: 3.2.0
Date: 2024-30-10
Authors@R: c(person("Peter", "Van Loo", role=c("aut","cre"), email="PVanLoo@mdanderson.org"),
    person("Gro", "Nielsen", role="ctb"),
    person("Jiqiu","Cheng", role="ctb"),
    person("Stefan","Dentro", role="ctb"),
    person("Edith","Ross", role="ctb"),
    person("Kerstin","Haase", role="ctb"),
    person("Jonas","Demeulemeester", role="ctb"),
    person("Maxime","Tarabichi", role="ctb"),
    person("Tom","Lesluyes", role="ctb"),
    person("Zhihui","Zhang", role="ctb"))
Author: Peter Van Loo [aut, cre], Gro Nielsen [ctb], Jiqiu Cheng [ctb], Stefan Dentro [ctb],
    Edith Ross [ctb], Kerstin Haase [ctb], Jonas Demeulemeester [ctb], Maxime Tarabichi [ctb],
    Tom Lesluyes [ctb], Zhihui Zhang [ctb]
Description: R package of ASCAT as published in <https://pubmed.ncbi.nlm.nih.gov/20837533>.
Depends:
    R (>= 2.13.0)
Imports:
    data.table,
    doParallel,
    foreach,
    GenomicRanges,
    graphics,
    grDevices,
    IRanges,
    RColorBrewer,
    S4Vectors,
    splines,
    stats,
    utils
Suggests:
    ggplot2,
    knitr,
    plyr,
    rmarkdown
License: GPL-3
Encoding: UTF-8
VignetteBuilder: knitr
LazyLoad: yes
RoxygenNote: 7.3.2

=== debian/changelog ===
r-other-ascat (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 16:29:06 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-bioc-iranges,
                r-cran-doparallel,
                r-cran-foreach
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-other-ascat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-other-ascat.git
 Homepage: https://github.com/Crick-CancerGenomics/ascat

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/Crick-CancerGenomics/ascat/tags .*/v?@ANY_VERSION@\.tar\.gz
